Bug 137096 - automake uses same .Tpo tmp file for both .Po and .Plo variants, creating a race condition
automake uses same .Tpo tmp file for both .Po and .Plo variants, creating a r...
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: automake (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Karsten Hopp
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2004-10-25 15:25 EDT by Jay Fenlason
Modified: 2014-08-31 19:26 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-01-19 06:37:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
make output of failed build on cure81 (47 bytes, text/plain)
2004-10-25 15:25 EDT, Jay Fenlason
no flags Details

  None (edit)
Description Jay Fenlason 2004-10-25 15:25:29 EDT
Description of problem: 
My Amanda build failed when make complained "mv: cannot stat `.deps/util.Tpo': 
No such file or directory" when compiling ppc64 on cure81 (an 8-processor 
machine).  I asked Roland to help debug it, and he said it's an automake bug 
as described in the summary. 
Version-Release number of selected component (if applicable): 
Whatever's in dist-fc4 buildroots, probably automake-1.9.2-3 
How reproducible: 
Didn't try. 
Steps to Reproduce: 
Actual results: 
Expected results: 
Additional info:
Comment 1 Jay Fenlason 2004-10-25 15:25:29 EDT
Created attachment 105747 [details]
make output of failed build on cure81
Comment 3 Jay Fenlason 2005-04-07 10:49:38 EDT
Note that this bug prevents the Amanda rpm from being rebuilt on SMP machines.  
See https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=154111 

Note You need to log in before you can comment on or make changes to this bug.